import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Contact, SearchContactModel } from "../models/contact.model";

@Injectable({ providedIn: 'root' })
export class ContactService {

    constructor(private http: HttpClient) { }
    url: string;
    listContact: Contact[] = [
        {
            id: 1,
            ctName: 'เกม',
            ctDesc: 'กดจองแล้ว รายการจองไม่ขึ้น',
            ctTab: 'รายการอุปกรณ์',
            ctHead: 'กดจองไม่ได้',
            ctStatus: 0,
            sDate: '2021/12/17'
        },
    ]
    addContact(model: Contact) {
        this.listContact.push(model);
    }

    getListContact() {
        return this.listContact;
    }

    searchListContact(searchModel: SearchContactModel) {
        this.http.get(this.url + '&startDate=' + searchModel.sDate.split("-")[2] + '-' + searchModel.sDate.split("-")[1] + '-' + searchModel.sDate.split("-")[0] ).subscribe((response: any) => {
          console.log(response);
          this.listContact = response;
        }, error => {
          console.log(error)
          alert("ไม่สามารถค้นหาได้ เนื่องจาก :\n" + error.message)
        })
      }
}

